<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="cn.reghao.tnb.sb.multi.mybatis.mapper.four.CamRecordMapper">
    <delete id="deleteByRecordId">
        update my_cam_record
        set deleted=1
        where record_id=#{recordId}
    </delete>

    <select id="findAll" resultType="cn.reghao.tnb.sb.multi.mybatis.model.four.CamRecord">
        select *
        from my_cam_record
    </select>
    <select id="findByVideoFileId" resultType="cn.reghao.tnb.sb.multi.mybatis.model.four.CamRecord">
        select *
        from my_cam_record
        where video_file_id=#{videoFileId}
    </select>
</mapper>
